Bug 1187202 - ibus can not input on Qt5 applications
ibus can not input on Qt5 applications
Status: IN_PROGRESS
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: GNOME
Leap 15.3
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: E-mail List
E-mail List
: Chinese_Simplified, I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-11 02:02 UTC by Hillwood Yang
Modified: 2021-09-14 16:27 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hillwood Yang 2021-06-11 02:02:22 UTC
The ibus is invalid on Qt5 applications on GNOME wayland, such as telegram and deepin-music. This issue just occurs on Leap 15.3, works fine on Leap 15.2 and tumbleweed.
Comment 1 Hillwood Yang 2021-06-22 14:13:44 UTC
There is a similar bug on Fedora 32
https://bugzilla.redhat.com/show_bug.cgi?id=1832086
Comment 2 Fuminobu Takeyama 2021-06-22 15:03:37 UTC
Confirmed this problem with Kate.
Comment 3 Fuminobu Takeyama 2021-06-27 00:37:49 UTC
Its changelog says:

https://build.opensuse.org/package/view_file/openSUSE:Leap:15.3/ibus/ibus.changes?expand=1

> - Drop 0001-Replace-the-Qt-check-for-appindicator-engine-icon-wi.patch,
>   ibus-use-wayland-display-for-socket-name.patch,
>   ibus-socket-name-compatibility.patch. Merged by upstream

but I'm wondering ibus-socket-name-compatibility.patch was not merged by upstream because the upstream expect newer Qt, and this patch is for old Qt.
Comment 4 Fuminobu Takeyama 2021-06-27 01:13:18 UTC
For those who need IBus on Wayland as soon as possible, set following varialbe

export IBUS_USE_PORTAL=1

This variable for Flatpak applications makes applications to find IBus running not on IBus's dbus session but on user's dbus session.
Comment 5 Hillwood Yang 2021-06-27 05:50:33 UTC
(In reply to Fuminobu Takeyama from comment #3)
> Its changelog says:
> 
> https://build.opensuse.org/package/view_file/openSUSE:Leap:15.3/ibus/ibus.
> changes?expand=1
> 
> > - Drop 0001-Replace-the-Qt-check-for-appindicator-engine-icon-wi.patch,
> >   ibus-use-wayland-display-for-socket-name.patch,
> >   ibus-socket-name-compatibility.patch. Merged by upstream
> 
> but I'm wondering ibus-socket-name-compatibility.patch was not merged by
> upstream because the upstream expect newer Qt, and this patch is for old Qt.

See here: https://github.com/ibus/ibus/commit/8ce25208c3f4adfd290a032c6aa739d2b7580eb1

It really have been merged.

Tue May 12 07:32:41 UTC 2020 - QK ZHU <qkzhu@suse.com>

- Add ibus-socket-name-compatibility.patch: Compatibility for
  ibus-use-wayland-display-for-socket-name.patch. This fixes Qt 
  clients breakage in Wayland (bsc#1171442, gh#ibus/ibus#2195).
Comment 6 Fuminobu Takeyama 2021-06-27 06:59:17 UTC
> See here: 
> https://github.com/ibus/ibus/commit/8ce25208c3f4adfd290a032c6aa739d2b7580eb1

There were two patches:

1. ibus-use-wayland-display-for-socket-name.patch
2. ibus-socket-name-compatibility.patch

The patch 1. have been merged as 8ce25208c3f4adfd290a032c6aa739d2b7580eb1. However 2. was not.


Can you test if these packages resolve this problem?
https://download.opensuse.org/repositories/home:/ftake:/branches:/openSUSE:/Leap:/15.3/standard/
Comment 7 Hillwood Yang 2021-06-28 04:27:20 UTC
(In reply to Fuminobu Takeyama from comment #6)
> > See here: 
> > https://github.com/ibus/ibus/commit/8ce25208c3f4adfd290a032c6aa739d2b7580eb1
> 
> There were two patches:
> 
> 1. ibus-use-wayland-display-for-socket-name.patch
> 2. ibus-socket-name-compatibility.patch
> 
> The patch 1. have been merged as 8ce25208c3f4adfd290a032c6aa739d2b7580eb1.
> However 2. was not.
> 
> 
> Can you test if these packages resolve this problem?
> https://download.opensuse.org/repositories/home:/ftake:/branches:/openSUSE:/
> Leap:/15.3/standard/

You are right, it works. Leap 15.3 still needs this patch, but Tumbleweed is not necessary.
Comment 8 OBSbugzilla Bot 2021-06-30 07:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1187202) was mentioned in
https://build.opensuse.org/request/show/903172 Factory / ibus
Comment 10 Swamp Workflow Management 2021-09-14 16:25:09 UTC
# maintenance_jira_update_notice
openSUSE-RU-2021:3035-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1187202
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    ibus-1.5.23-3.3.1
Comment 11 Swamp Workflow Management 2021-09-14 16:27:31 UTC
# maintenance_jira_update_notice
SUSE-RU-2021:3035-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1187202
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    ibus-1.5.23-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.